%define major 0

Summary: The free/open-source library for quantitative finance
Name: quantlib
Version: 1.6.2
Release: %mkrel 2
License: BSD License
Group: System/Libraries
Source0: http://downloads.sourceforge.net/quantlib/QuantLib-%{version}.tar.gz
Patch0:  intraday.diff
URL: http://quantlib.org/
BuildRequires: boost-devel >= 1.34.1
BuildRequires: doxygen >= 1.3
BuildRequires: graphviz
# Needed to create elisp files
BuildRequires: emacs

%define libname %mklibname %{name} %major
%define libname_devel %mklibname -d %{name}

%description
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

%package -n %libname
Summary: Shared library for QuantLib
Group: System/Libraries
Obsoletes: %{_lib}quantlib1 < 1.2.1-3
Provides: quantlib = %{version}

%description -n %libname
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname} if you are going are using shared libraries with
QuantLib.

%package -n %libname_devel
Summary: The header files and the static library
Group: Development/C
Requires: %libname = %{version}
Provides: quantlib-devel = %{version}

%description -n %libname_devel
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

Install %{libname_devel} if you are going to develop programs which
will use the QuantLib C++ libraries.

This package contains the intraday patches from the github repo
http://github.com/joequant/quantlib

%package test-suite
Summary: The test-suite to check the setup of quantlib installation
Group: System/Libraries

%description test-suite
QuantLib is an open source C++ library for financial quantitative analysts
and developers.

The QuantLib-test-suite will validate the compiled code against
pre-constructed test cases, and helps in validating the library.

%prep
%setup -q -n QuantLib-%{version}
%patch0 -p2

%build
./autogen.sh
%configure2_5x --disable-static --prefix=%{_prefix}
%make
# make documentations
cd Docs
%make docs-all

%install
%make_install

# install the documentation
mkdir -p %{buildroot}%{docdir}
mkdir -p %{buildroot}%{_mandir}
cp -p Authors.txt LICENSE.TXT ChangeLog.txt Readme.txt %{buildroot}%{docdir}
cp -p Contributors.txt %{buildroot}%{docdir}
cp -p News.txt  %{buildroot}%{docdir}
cp -pr Examples %{buildroot}%{docdir}
cp -pr Docs/html %{buildroot}%{docdir}
rm -f %{buildroot}%{docdir}/html/*.dot
cp -pr Docs/man/man3 %{buildroot}%{_mandir}/
rm -f %{buildroot}%{_libdir}/*.la

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %libname_devel
%{_includedir}/ql/
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_bindir}/quantlib-config
%{_mandir}/man1/quantlib-config.1.*
%{_mandir}/man3/*
%{_datadir}/emacs/site-lisp/*

%files test-suite
%{_mandir}/man1/quantlib-test-suite.1.*
%{_bindir}/quantlib-test-suite


%changelog
* Sun Dec 27 2015 daviddavid <daviddavid> 1.6.2-2.mga6
+ Revision: 916089
- rebuild for new boost 1.60.0

* Tue Sep 29 2015 fwang <fwang> 1.6.2-1.mga6
+ Revision: 884917
- 1.6.2
- rebuild for new boost

* Thu Aug 27 2015 cjw <cjw> 1.6-3.mga6
+ Revision: 870148
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 1.6-2.mga6
+ Revision: 860626
- rebuild for new boost-1.58.0

* Tue Jun 30 2015 joequant <joequant> 1.6-1.mga6
+ Revision: 848341
- upgrade to 1.6
- update to 1.6

* Sat Apr 04 2015 joequant <joequant> 1.5-2.mga6
+ Revision: 819704
- fix svn script
- fix git
- add git versions
- create export libraries
- checkin intraday patch
- sync with intraday

* Fri Mar 06 2015 joequant <joequant> 1.5-2.mga5
+ Revision: 817907
- remove redundant strike check
- add bitcoin patches

* Tue Feb 03 2015 joequant <joequant> 1.5-1.mga5
+ Revision: 813125
- bump to 1.5

* Thu Jan 15 2015 joequant <joequant> 1.4.1-2.mga5
+ Revision: 810831
- add continuoustime.cpp
- add continoustime.hpp
- new intraday patch

* Tue Dec 23 2014 joequant <joequant> 1.4.1-1.mga5
+ Revision: 805047
- add emacs to depends
- add Makefile.am
- add intraday patches
- add source file
- upgrade to 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 742722
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 688575
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 barjac <barjac> 1.3-3.mga5
+ Revision: 586855
- rebuild against boost-1.55

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 530733
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 joequant <joequant> 1.3-1.mga4
+ Revision: 459402
- remove emacs lisp missing in 1.3
- upgrade to 1.3

* Wed Jul 10 2013 fwang <fwang> 1.2.1-6.mga4
+ Revision: 452508
- rebuild for new boost

* Thu Apr 11 2013 neoclust <neoclust> 1.2.1-5.mga3
+ Revision: 409776
- Rebuild against new boost

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-4.mga3
+ Revision: 380095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.2.1-3.mga3
+ Revision: 333277
- correct libname

* Thu Dec 20 2012 fwang <fwang> 1.2.1-2.mga3
+ Revision: 333092
- rebuild for new boost

* Thu Dec 13 2012 neoclust <neoclust> 1.2.1-1.mga3
+ Revision: 330328
- Remove requires in lib in test-suite ( already done by rpm )
  Use rpm macros
  Fix file list

  + joequant <joequant>
    - more spec cleanups
    - Update to 1.2.1
      Remove unnecessary build and build-requires
    - lower case quantlib
      remove unneeded spec commands
    - make quantlib lowercase to conform to naming conventions
    - imported package QuantLib

